Subject: [quicwg/base-drafts] HQ HEADER frames in series do not replace H2's HEADER/CONTINUATION frames (#1866)

From: Dmitri Tikhonov <[email-masked]>
Date: Wed, 17 Oct 2018 07:35:02 -0700

draft-ietf-quic-http-15 has this to say about the removed _CONTINUATION_ frames:

```
   CONTINUATION (0x9):  CONTINUATION frames do not exist; instead,
      larger HEADERS/PUSH_PROMISE frames than HTTP/2 are permitted, and
      HEADERS frames can be used in series.
```

In HTTP/2, a header block could be chopped up into fragments, which is not the case in HTTP/QUIC.  One cannot place a single header block in a series of _HEADER_ frames.  The verbiage above is misleading.  The "in series" part above can only refer to

```
   In addition, prior to sending the message header block indicated
   above, a response may contain zero or more header blocks containing
   the message headers of informational (1xx) HTTP responses (see
   [RFC7230], Section 3.2 and [RFC7231], Section 6.2).
```

I suggest that we drop the "and _HEADERS_ frames can be used in series" part from the paragraph.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/1866

---

From: Mike Bishop <[email-masked]>
Date: Wed, 17 Oct 2018 09:33:22 -0700

Closed #1866.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/1866#event-1910079837

---

From: Mike Bishop <[email-masked]>
Date: Wed, 17 Oct 2018 16:33:58 +0000 (UTC)

Already fixed in https://github.com/quicwg/base-drafts/pull/1837/commits/febb274725311d6b41f8880c250aabd7fe06e6c3.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/1866#issuecomment-430698811